/*!
 * @file		FavoriteListDlg.h
 * @brief		 â ã ߰   ˾ ̾α
 * @author		Jinwoo.Lee(jinwoo.lee@nhn.com)
 * @date		2012-03-27 
 * @warning
 * @attention	Copyright 2012 NTS Corp. All rights reserved.
 */
#pragma once
#include "afxcmn.h"
#include "BaseDlgStyleOne.h"
#include "NListCtrl.h"

#define FAVORITE_LIST_DLG_BTN_WIDTH		80
#define FAVORITE_LIST_DLG_BTN_HEIGHT	26

typedef std::vector<CString> FAVORITE_LIST;

class CFavoriteListDlg : public CBaseDlgStyleOne
{
	DECLARE_DYNAMIC(CFavoriteListDlg)

public:
	CFavoriteListDlg(CWnd* pParent = NULL);   // ǥ Դϴ.
	virtual ~CFavoriteListDlg();

	enum { IDD = IDD_FAVORITE_LIST_DIALOG };

	void InsertFavoriteItem(CString strFavoriteName);
	int GetSelectedItemIndex();
	void SetDefaultSelectGroup(CString strGroupName);
	CString GetSelectedGroupName();

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV Դϴ.
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	void __ResourceLoad(BOOL bInit);
	void InitList(CNListCtrl &list, CStringArray &strHeaderTitle);
	void ResizeListColumn(CNListCtrl &list, const int *arrWidth);
	void ReSizeCtrl(void);
	afx_msg void OnLvnItemchangedFavoriteList(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnPaint();

	DECLARE_MESSAGE_MAP()

private:
	CNListCtrl		m_lcFavorite;
	FAVORITE_LIST	m_mapFavoriteList;
	CImageList		m_ImageList;
	int				m_nSelectedItem;
	CString			m_strSelectGroupName;
	CPen			m_penBorder;
	CStringArray m_arListHeaderTitle;

};

